import { Injectable, signal } from '@angular/core';

@Injectable({
  providedIn: 'root'
})
export class ThemeService {
  private _current = signal<'light' | 'dark'>('dark');

  get theme() {
    return this._current();
  }

  set theme(value: 'light' | 'dark') {
    this._current.set(value);
  }

  isDarkTheme() {
    return this.theme == 'dark';
  }

  isLightTheme() {
    return this.theme == 'light';
  }

  toggle() {
    if (this.theme == 'light') {
      this.theme = 'dark';
    } else {
      this.theme = 'light';
    }
  }
}
